Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.util
Class IntEncodedImage

    java.lang.Object
      |
      +--quicktime.util.IntEncodedImage

All Implemented Interfaces:
  java.lang.Cloneable, EncodedImage, quicktime.jdirect.PrimitivesLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public class IntEncodedImage
extends java.lang.Object
implements quicktime.jdirect.PrimitivesLib, EncodedImage, java.lang.Cloneable

IntEncodedImage keep the encoded image data as an array of ints.

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Fields inherited from interface quicktime.util.EncodedImage
`kRowBytesUnknown`

Constructor Summary
`IntEncodedImage(int numOfInts)` Creates a new IntEncodedImage of specified number of ints.
`IntEncodedImage(int numOfInts, int rowBytes)` Creates a new IntEncodedImage of specified number of ints.
`IntEncodedImage(RawEncodedImage ptr)` Creates a IntEncodedImage from raw data.

Method Summary
`java.lang.Object` | `clone()` Returns a copy of the current object
`boolean` | `equals(java.lang.Object obj)` Returns true if the two objects have the same value.
`static IntEncodedImage` | `fromIntArray(int[] ar)` This will make a ByteEncodedImage from an array of ints.
`static IntEncodedImage` | `fromIntArray(int[] ar, int rowBytes)` This will make a ByteEncodedImage from an array of ints.
`byte` | `getByte(int offset)` Returns the byte at the specified offset.
`int` | `getInt(int offset)` Returns the int at the specified offset.
`int[]` | `getInts()` Returns the internal int array.
`int` | `getRowBytes()` Returns either kRowBytesUnknown or the number of bytes per row that the encoded image data is comprised of.
`short` | `getShort(int offset)` Returns the short at the specified offset.
`int` | `getSize()` Returns the size in bytes of the EncodedImage data
`java.lang.String` | `toString()` Returns a string representation of this object

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IntEncodedImage

    public IntEncodedImage(RawEncodedImage ptr)

  Creates a IntEncodedImage from raw data. It will copy the data

### IntEncodedImage

    public IntEncodedImage(int numOfInts)

  Creates a new IntEncodedImage of specified number of ints.

### IntEncodedImage

    public IntEncodedImage(int numOfInts,
                           int rowBytes)

  Creates a new IntEncodedImage of specified number of ints.

Method Detail

### fromIntArray

    public static IntEncodedImage fromIntArray(int[] ar)

  This will make a ByteEncodedImage from an array of ints. It will not copy the int array but creates a proxy for the same ints.

### fromIntArray

    public static IntEncodedImage fromIntArray(int[] ar,
                                               int rowBytes)

  This will make a ByteEncodedImage from an array of ints. It will not copy the int array but creates a proxy for the same ints. It will set the row bytes as specified.

### getInts

    public int[] getInts()

  Returns the internal int array. This is NOT a copy so any alteration of the int values will effect any usage of this object.

### getSize

    public int getSize()

  Returns the size in bytes of the EncodedImage data
  Specified by:
    `getSize` in interface `EncodedImage`

### getByte

    public byte getByte(int offset)

  Returns the byte at the specified offset. The offset is specified in bytes into the encoded image object.
  Specified by:
    `getByte` in interface `EncodedImage`

### getShort

    public short getShort(int offset)

  Returns the short at the specified offset. The offset is specified in bytes into the encoded image object.
  Specified by:
    `getShort` in interface `EncodedImage`

### getInt

    public int getInt(int offset)

  Returns the int at the specified offset. The offset is specified in bytes into the encoded image object.
  Specified by:
    `getInt` in interface `EncodedImage`

### getRowBytes

    public int getRowBytes()

  Returns either kRowBytesUnknown or the number of bytes per row that the encoded image data is comprised of. This number will at least be as big as width*pixelSize, and maybe larger.
  Specified by:
    `getRowBytes` in interface `EncodedImage`

### equals

    public boolean equals(java.lang.Object obj)

  Returns true if the two objects have the same value.
  Overrides:
    `equals` in class `java.lang.Object`

### clone

    public java.lang.Object clone()

  Returns a copy of the current object

### toString

    public java.lang.String toString()

  Returns a string representation of this object
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD